Run Agent Procedure

Runs an agent procedure immediately for a single agent. When the request is valid, returns a 204 No Content response. When the request is invalid, returns a 404 Not Found response. This occurs when :

  • The supplied {agentProcedureId} does not exist.
  • The supplied {agentProcedureId} is any system script other then Audit scripts 135, 136 or 137.
  • The user does not have 'execute' permission in the {agentProcedureId}'s folder security settings.

PUT /automation/agentprocs/{agentId}/{agentProcId}/runnow

  • Does not accept filter and sort expressions.
  • This is an action API; no business data is returned or changed.

Headers

  • Authorization: Bearer {hash string returned from Authentication}

Sample Response Model

{
  "Result": true,
  "ResponseCode": 0,
  "Status": "string",
  "Error": "string"
}